OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.Sync

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBSync :: MonadIO m => m Bool
- gl_ARB_sync :: Bool
- pattern GL_ALREADY_SIGNALED :: GLenum
- pattern GL_CONDITION_SATISFIED :: GLenum
- pattern GL_MAX_SERVER_WAIT_TIMEOUT :: GLenum
- pattern GL_OBJECT_TYPE :: GLenum
- pattern GL_SIGNALED :: GLenum
- pattern GL_SYNC_CONDITION :: GLenum
- pattern GL_SYNC_FENCE :: GLenum
- pattern GL_SYNC_FLAGS :: GLenum
- pattern GL_SYNC_FLUSH_COMMANDS_BIT :: GLbitfield
- pattern GL_SYNC_GPU_COMMANDS_COMPLETE :: GLenum
- pattern GL_SYNC_STATUS :: GLenum
- pattern GL_TIMEOUT_EXPIRED :: GLenum
- pattern GL_TIMEOUT_IGNORED :: GLuint64
- pattern GL_UNSIGNALED :: GLenum
- pattern GL_WAIT_FAILED :: GLenum
- glClientWaitSync :: MonadIO m => GLsync -> GLbitfield -> GLuint64 -> m GLenum
- glDeleteSync :: MonadIO m => GLsync -> m ()
- glFenceSync :: MonadIO m => GLenum -> GLbitfield -> m GLsync
- glGetInteger64v :: MonadIO m => GLenum -> Ptr GLint64 -> m ()
- glGetSynciv :: MonadIO m => GLsync -> GLenum -> GLsizei -> Ptr GLsizei -> Ptr GLint -> m ()
- glIsSync :: MonadIO m => GLsync -> m GLboolean
- glWaitSync :: MonadIO m => GLsync -> GLbitfield -> GLuint64 -> m ()

# Extension Support

glGetARBSync :: MonadIO m => m Bool Source #

Is the ARB_sync extension supported?

gl_ARB_sync :: Bool Source #

Is the ARB_sync extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBSync` in those cases instead.

# Enums

pattern GL_ALREADY_SIGNALED :: GLenum Source #

pattern GL_CONDITION_SATISFIED :: GLenum Source #

pattern GL_MAX_SERVER_WAIT_TIMEOUT :: GLenum Source #

pattern GL_OBJECT_TYPE :: GLenum Source #

pattern GL_SIGNALED :: GLenum Source #

pattern GL_SYNC_CONDITION :: GLenum Source #

pattern GL_SYNC_FENCE :: GLenum Source #

pattern GL_SYNC_FLAGS :: GLenum Source #

pattern GL_SYNC_FLUSH_COMMANDS_BIT :: GLbitfield Source #

pattern GL_SYNC_GPU_COMMANDS_COMPLETE :: GLenum Source #

pattern GL_SYNC_STATUS :: GLenum Source #

pattern GL_TIMEOUT_EXPIRED :: GLenum Source #

pattern GL_TIMEOUT_IGNORED :: GLuint64 Source #

pattern GL_UNSIGNALED :: GLenum Source #

pattern GL_WAIT_FAILED :: GLenum Source #

# Functions

glClientWaitSync Source #

Arguments

:: MonadIO m |
=> GLsync | `sync` of type `sync`.
-> GLbitfield | `flags` of type SyncObjectMask.
-> GLuint64 | `timeout`.
-> m GLenum | of type SyncStatus.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDeleteSync Source #

Arguments

:: MonadIO m |
=> GLsync | `sync` of type `sync`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glFenceSync Source #

Arguments

:: MonadIO m |
=> GLenum | `condition` of type SyncCondition.
-> GLbitfield | `flags`.
-> m GLsync | of type `sync`.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetInteger64v Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPName.
-> Ptr GLint64 | `data` pointing to `COMPSIZE(pname)` elements of type `GLint64`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetSynciv Source #

Arguments

:: MonadIO m |
=> GLsync | `sync` of type `sync`.
-> GLenum | `pname` of type SyncParameterName.
-> GLsizei | `count`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLint | `values` pointing to `count` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glIsSync Source #

Arguments

:: MonadIO m |
=> GLsync | `sync` of type `sync`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glWaitSync Source #

Arguments

:: MonadIO m |
=> GLsync | `sync` of type `sync`.
-> GLbitfield | `flags`.
-> GLuint64 | `timeout`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.